package models

import (
	"go-admin/common/models"
)

type LineApiUserGroup struct {
	models.Model

	ExchangeType string `json:"exchangeType" gorm:"type:varchar(30);comment:交易所"`
	GroupName    string `json:"groupName" gorm:"type:varchar(30);comment:分组名称"`
	UserId       string `json:"userId" gorm:"type:text;comment:用户ids 逗号分割"`
	Status       int    `json:"status" gorm:"type:tinyint;comment:状态 1-启用 2-禁用"`
	UserIds      []int  `json:"userIds" gorm:"-"`
	Count        int    `json:"count" gorm:"-"`
	models.ModelTime
	models.ControlBy
}

func (LineApiUserGroup) TableName() string {
	return "line_api_user_group"
}

func (e *LineApiUserGroup) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LineApiUserGroup) GetId() interface{} {
	return e.Id
}
